for(label i = 0 ; i<Ysize ; i++)
{
        for(label k = 0 ; k < nf ; k++)
        {
                if( Y[i].name() == "N2")
                {
                        for(label j=0 ; j <= etamax ; j++)
                        {
                                QiCMC[(k*(etamax+1)+j)*Ysize + i] = -Y[i].weightedAverage(mesh.V()).value()*(etaValue[j] - 1.0);
                        }
                }
                if( Y[i].name() == "O2")
                {
                        for(label j=0 ; j <= etamax ; j++)
                        {
                                QiCMC[(k*(etamax+1)+j)*Ysize + i] = -Y[i].weightedAverage(mesh.V()).value()*(etaValue[j] - 1.0);
                        }
                }
                if( Y[i].name() == "CO2")
                {
                        for(label j=0 ; j <= etamax ; j++)
                        {
                                QiCMC[(k*(etamax+1)+j)*Ysize + i] = -Y[i].weightedAverage(mesh.V()).value()*(etaValue[j] - 1.0);
                        }
                }
                if( Y[i].name() == "H2O")
                {
                        for(label j=0 ; j <= etamax ; j++)
                        {
                                QiCMC[(k*(etamax+1)+j)*Ysize + i] = -Y[i].weightedAverage(mesh.V()).value()*(etaValue[j] - 1.0);
                        }
                }
                if( Y[i].name() == "C7H16")
                {
                        for(label j=0 ; j <= etamax ; j++)
                        {
                                QiCMC[(k*(etamax+1)+j)*Ysize + i] = 1.0*etaValue[j];
                        }
                }
        }
}
